aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/opie-memoryapplet
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/opie-memoryapplet
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.bz2
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.zip
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/opie-memoryapplet')
-rw-r--r--recipes/opie-memoryapplet/opie-memoryapplet.inc31
-rw-r--r--recipes/opie-memoryapplet/opie-memoryapplet_1.2.2.bb6
-rw-r--r--recipes/opie-memoryapplet/opie-memoryapplet_1.2.3.bb7
-rw-r--r--recipes/opie-memoryapplet/opie-memoryapplet_1.2.4.bb7
-rw-r--r--recipes/opie-memoryapplet/opie-memoryapplet_cvs.bb8
5 files changed, 59 insertions, 0 deletions
diff --git a/recipes/opie-memoryapplet/opie-memoryapplet.inc b/recipes/opie-memoryapplet/opie-memoryapplet.inc
new file mode 100644
index 0000000000..72348e1bdb
--- /dev/null
+++ b/recipes/opie-memoryapplet/opie-memoryapplet.inc
@@ -0,0 +1,31 @@
+DESCRIPTION = "Memory Applet. \
+This applet displays the amount of free memory and manages the swap partition"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "memoryapplet"
+
+S = "${WORKDIR}/memoryapplet"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ ${bindir}/qcop QPE/TaskBar "reloadApplets()"
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+${bindir}/qcop QPE/TaskBar "reloadApplets()"
+ if [ -n "$D" ]; then false; fi
+}
+
+do_install() {
+ install -d ${D}${palmtopdir}/plugins/applets ${D}${palmtopdir}/pics/memory/
+ install -m 0644 ${WORKDIR}/pics/memory/*.png ${D}${palmtopdir}/pics/memory/
+ oe_libinstall -so libmemoryapplet ${D}${palmtopdir}/plugins/applets/
+}
+
diff --git a/recipes/opie-memoryapplet/opie-memoryapplet_1.2.2.bb b/recipes/opie-memoryapplet/opie-memoryapplet_1.2.2.bb
new file mode 100644
index 0000000000..b7f88392b1
--- /dev/null
+++ b/recipes/opie-memoryapplet/opie-memoryapplet_1.2.2.bb
@@ -0,0 +1,6 @@
+require ${PN}.inc
+
+
+SRC_URI = "${HANDHELDS_CVS};tag=${TAG};module=opie/noncore/applets/memoryapplet \
+ ${HANDHELDS_CVS};tag=${TAG};module=opie/noncore/settings/sysinfo \
+ ${HANDHELDS_CVS};tag=${TAG};module=opie/pics"
diff --git a/recipes/opie-memoryapplet/opie-memoryapplet_1.2.3.bb b/recipes/opie-memoryapplet/opie-memoryapplet_1.2.3.bb
new file mode 100644
index 0000000000..c28a321021
--- /dev/null
+++ b/recipes/opie-memoryapplet/opie-memoryapplet_1.2.3.bb
@@ -0,0 +1,7 @@
+require ${PN}.inc
+
+PR = "r0"
+
+SRC_URI = "${HANDHELDS_CVS};tag=${TAG};module=opie/noncore/applets/memoryapplet \
+ ${HANDHELDS_CVS};tag=${TAG};module=opie/noncore/settings/sysinfo \
+ ${HANDHELDS_CVS};tag=${TAG};module=opie/pics"
diff --git a/recipes/opie-memoryapplet/opie-memoryapplet_1.2.4.bb b/recipes/opie-memoryapplet/opie-memoryapplet_1.2.4.bb
new file mode 100644
index 0000000000..c28a321021
--- /dev/null
+++ b/recipes/opie-memoryapplet/opie-memoryapplet_1.2.4.bb
@@ -0,0 +1,7 @@
+require ${PN}.inc
+
+PR = "r0"
+
+SRC_URI = "${HANDHELDS_CVS};tag=${TAG};module=opie/noncore/applets/memoryapplet \
+ ${HANDHELDS_CVS};tag=${TAG};module=opie/noncore/settings/sysinfo \
+ ${HANDHELDS_CVS};tag=${TAG};module=opie/pics"
diff --git a/recipes/opie-memoryapplet/opie-memoryapplet_cvs.bb b/recipes/opie-memoryapplet/opie-memoryapplet_cvs.bb
new file mode 100644
index 0000000000..d0802ad986
--- /dev/null
+++ b/recipes/opie-memoryapplet/opie-memoryapplet_cvs.bb
@@ -0,0 +1,8 @@
+require ${PN}.inc
+
+PV = "${OPIE_CVS_PV}"
+PR = "r1"
+
+SRC_URI = "${HANDHELDS_CVS};module=opie/noncore/applets/memoryapplet \
+ ${HANDHELDS_CVS};module=opie/noncore/settings/sysinfo \
+ ${HANDHELDS_CVS};module=opie/pics"